Bug 210524 - multimedia/qmmp-qt5: Updated version 1.1.0
Summary: multimedia/qmmp-qt5: Updated version 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-24 11:32 UTC by SimaMoto,RyōTa
Modified: 2016-06-26 20:14 UTC (History)
1 user (show)

See Also:


Attachments
Switch version 1.0.10 to 1.1.0 on multimedia/qmmp-qt5 (7.48 KB, patch)
2016-06-24 11:32 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Switch version 1.0.10 to 1.1.0 on multimedia/qmmp-qt5 using OPTIONS_EXCLUDE (6.73 KB, patch)
2016-06-25 07:42 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Let pkg-descr revert (882 bytes, patch)
2016-06-26 06:51 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2016-06-24 11:32:26 UTC
Created attachment 171747 [details]
Switch version 1.0.10 to 1.1.0 on multimedia/qmmp-qt5

qmmp version 1.1.0 has been released along with API change, a lot of
new features and improvements.  For more detailed information, see the
ChangeLog file or
https://sourceforge.net/p/qmmp-dev/code/HEAD/tree/branches/qmmp-1.1/ChangeLog

Two new options added: TWOPANELDIALOG double-sided file dialog, and
QTMULTIMEDIA sound output.
Options disappeared: SRCONV samplerate converter that is moved to
multimedia/qmmp-plugin-pack-qt5.  JACK sound output can not be used
until someone introduces SoX resampler library to FreeBSD and becomes
its maintainer (my request is bug 206279).
Comment 1 SimaMoto,RyōTa 2016-06-25 07:42:32 UTC
Created attachment 171778 [details]
Switch version 1.0.10 to 1.1.0 on multimedia/qmmp-qt5 using OPTIONS_EXCLUDE

(In reply to Olivier Duchateau from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210523#c1)

Revised with help of OPTIONS_EXCLUDE.
Comment 2 commit-hook freebsd_committer 2016-06-25 19:47:07 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jun 25 19:46:53 UTC 2016
New revision: 417483
URL: https://svnweb.freebsd.org/changeset/ports/417483

Log:
  - Update to 1.1.0
  - Remove SRCONV option
  - Add 3 new options: TWOPANEDIALOG, QTMULTIMEDIA and SOXR

  PR:		210524
  Submitted by:	SimaMoto,RyoTa <liangtai.s16@gmail.com> (maintainer)

Changes:
  head/multimedia/qmmp-qt5/Makefile
  head/multimedia/qmmp-qt5/distinfo
  head/multimedia/qmmp-qt5/pkg-descr
  head/multimedia/qmmp-qt5/pkg-plist
Comment 3 Olivier Duchateau freebsd_committer 2016-06-25 20:07:07 UTC
Committed with SOXR support (revision r417476).

For JACK option, I think it's better to use OPT_IMPLIES [1], because it depends also of audio/libsoxr

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#options-implies
Comment 4 SimaMoto,RyōTa 2016-06-26 06:51:43 UTC
Created attachment 171810 [details]
Let pkg-descr revert

Add Jack audio output plugin and SoX resampler plugin to the
functions list of pkg-descr again.
Comment 5 Olivier Duchateau freebsd_committer 2016-06-26 20:14:50 UTC
(In reply to SimaMoto,RyōTa from comment #4)

Committed, in revision r417613 [1].

[1] https://svnweb.freebsd.org/ports?view=revision&revision=417613